Bug 33262 - Service Manager autostart should check for administrative rights
Service Manager autostart should check for administrative rights
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Native:Integration
5.5.4
PC Windows XP
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-01-27 04:02 UTC by Luci Sandor
Modified: 2011-08-22 15:55 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luci Sandor 2005-01-27 04:02:03 UTC
I am running as a Power User and I can't start SM. It complains "Application
System Error. Access is denied. Unable to open the Service Manager. [OK]"
Service Manager is autostarting from
"HKLM/Software/Microsoft/Windows/CurrentVersion/Run", wich means it will be
started at each logon, for all the users. There are users who might not have the
right to control services. The solutions as I see it is that tomcat5w.exe should
graciously and silently exit if the user has no right to use it.
PS. I have only this machine and I am not really sure that my error message
isn't due to another causes. Those who know the source code might confirm or
infirm if tomcat5w isn't already working as requested.
Comment 1 Dominik Drzewiecki 2005-01-27 10:25:12 UTC
I confirm. This also happens to me.
Comment 2 Yoav Shapira 2005-07-28 16:10:18 UTC
I agree with this patch and would like to do this, but I'm not sure how to check
for admin privileges on startup for this service.  If someone provides a patch,
I'll be glad to apply and test it.
Comment 3 Mark Thomas 2006-08-30 03:08:40 UTC
Guessing at correct OS. Since this is an enhancement, marking it as such.
Comment 4 Mark Thomas 2011-06-23 14:15:56 UTC
Moved to https://issues.apache.org/jira/browse/DAEMON-210
Comment 5 Mladen Turk 2011-06-23 15:43:23 UTC
This is actually Tomcat installer problem.
It should install the manager autostart for current user only.

We cannot silently exit the manager because this would also cause
the silent exit when the user logs in and clicks on the manager application manually.
Comment 6 Konstantin Kolinko 2011-06-23 18:06:07 UTC
Installing it for the current user feels wrong to me. What if there are several Admins?


Anyway, as a first step, installing it could be made optional. Interested users can always copy its shortcut into their "Startup" menu folder.

Would it be better to always install it as "Startup" menu shortcut, instead of using the "Run" branch in the registry?
Comment 7 Mark Thomas 2011-06-23 18:18:14 UTC
I was planning on tackling this along with bug 40510. i.e., make this use HKCU and then add an option to install for current or all users.

Moving entries from the registry to the start-up folder wasn't part of that plan at the moment but might be considered if it makes bug 50949 easier to fix.
Comment 8 Mark Thomas 2011-06-23 18:28:25 UTC
Fixed in 7.0.x for 7.0.17 onwards.

Will be proposed for back-port as a package once the fixes for bug 40510 and bug 50949 are complete.
Comment 9 Mark Thomas 2011-06-24 18:57:05 UTC
This has been proposed for back-port to 5.5.x and 6.0.x.
Comment 10 Mark Thomas 2011-08-22 15:55:43 UTC
This has been fixed in 6.0.x and 5.5.x.

It is included in 6.0.33 onwards and will be included in 5.5.34 onwards.